import java.util.ArrayList;

public class AirportController {
    private ArrayList<Flight> preparedFlights;

    public AirportController() {
        preparedFlights = new ArrayList<>();
    }

    public void addConcreteFlightToPreparedFlights(Flight flight)
    {
        preparedFlights.add(flight);
    }

    public void departFlight(Flight flight)
    {
        preparedFlights.remove(flight);
    }

    private Flight viewPreparedFlightByDesignation (String designationFromGUI)
    {
        for (Flight flight: preparedFlights)
        {
            if (flight.getDesignation().equals(designationFromGUI))
            {
                return flight;
            }
        }
        return null;
    }

    public String writePilotsOnFlight (String designationFromGUI)
    {
        Flight flight = viewPreparedFlightByDesignation(designationFromGUI);
        return flight.pilotsOnFlightToString();

    }
}
