import javax.swing.*;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

public class FormForGUI extends JFrame {
    public static final int WIDTH = 500;
    public static final int HEIGHT = 400;
    private JButton zobrazPilotyNaLetuButton;
    private JTextField userInputPilotsID;
    private JPanel panel;

    public FormForGUI(AirportController ac) {
        setSize(WIDTH,HEIGHT);
        setContentPane(panel);
        zobrazPilotyNaLetuButton.addActionListener(new ActionListener() {
            @Override
            public void actionPerformed(ActionEvent e) {
                String text = userInputPilotsID.getText();
                JOptionPane.showMessageDialog(null,ac.writePilotsOnFlight(text));
            }
        });
    }

    private void createUIComponents()
    {
        userInputPilotsID = new JTextField();
    }


}
